# mlx.nn.Conv1d — MLX 0.0.7 documentation

Skip to main content
`Ctrl`+`K`

# mlx.nn.Conv1d

class mlx.nn.Conv1d(in_channels: int, out_channels: int, kernel_size: int, stride: int = 1, padding: int = 0, bias: bool = True)

  Applies a 1-dimensional convolution over the multi-channel input sequence.

  The channels are expected to be last i.e. the input shape should be `NLC` where:

    - `N` is the batch dimension

    - `L` is the sequence length

    - `C` is the number of input channels

  Parameters:

    - in_channels (int) – The number of input channels

    - out_channels (int) – The number of output channels

    - kernel_size (int) – The size of the convolution filters

    - stride (int , optional) – The stride when applying the filter. Default: 1.

    - padding (int , optional) – How many positions to 0-pad the input with. Default: 0.

    - bias (bool , optional) – If `True` add a learnable bias to the output. Default: `True`